///<reference path="../typings/browser.d.ts" />
"use strict";
var popgun = require('popgun').default;
exports.name = 'AngularPopgun';
exports.angularModule = angular.module(exports.name, [])
    .factory('AngularPopgunSrvc', function ($compile) {
    var AngularPopgunSrvc = {
        init: function ($scope, $element) {
            $element[0].addEventListener('PopgunContentSetup', function (e) {
                var pop = popgun.getPopFromGroupId(e.target.getAttribute('popgun-group'));
                $compile(pop.popOver.element)($scope);
                $scope.$apply();
            }, false);
        },
        // Store a group w/ options to reuse
        // schema is a base set of options, options attr will precedence over schema
        registerGroup: function (groupId, opts) {
            popgun.registerGroup(groupId, opts);
        },
        // Store a schema of options
        registerSchema: function (schemaId, opts) {
            popgun.registerSchema(schemaId, opts);
        },
        // Returns a popover model based on a group
        getPopFromGroupId: function (groupId) {
            return popgun.getPopFromGroupId(groupId);
        },
        // Returns the state of a given popover
        // (hidden, content_setup, pre_position, pre_show, showing, pre_hide)
        getPopState: function (groupId) {
            return popgun.getPopState(popgun.getPopFromGroupId(groupId));
        },
        // Returns a boolean about whether a popover for a specific target is alrady open
        isPopAlreadyOpenForTarget: function (target) {
            return popgun.isPopAlreadyOpenForTarget(target);
        },
        // Returns a boolean about whether a popover is already open for a group
        isPopAlreadyOpenForGroup: function (groupId) {
            return popgun.isPopAlreadyOpenForGroup(groupId);
        },
        // Show the popover for a particular target
        showPop: function (target, isPinned, trigger) {
            return popgun.showPop(target, isPinned, trigger);
        },
        // Hide the popover for a particular target
        hidePop: function (target, hideFullChain) {
            return popgun.hidePop(target, hideFullChain);
        }
    };
    return AngularPopgunSrvc;
});
//# sourceMappingURL=index.js.map